import request from '@/utils/request'

// 查询优惠劵管理列表
export function listCoupon(query) {
  return request({
    url: '/market/coupon/list',
    method: 'get',
    params: query
  })
}

// 查询优惠劵管理详细
export function getCoupon(couponId) {
  return request({
    url: '/market/coupon/' + couponId,
    method: 'get'
  })
}

// 新增优惠劵管理
export function addCoupon(data) {
  return request({
    url: '/market/coupon',
    method: 'post',
    data: data
  })
}

// 修改优惠劵管理
export function updateCoupon(data) {
  return request({
    url: '/market/coupon',
    method: 'put',
    data: data
  })
}

// 删除优惠劵管理
export function delCoupon(couponId) {
  return request({
    url: '/market/coupon/' + couponId,
    method: 'delete'
  })
}

// 导出优惠劵管理
export function exportCoupon(query) {
  return request({
    url: '/market/coupon/export',
    method: 'get',
    params: query
  })
}
